Skip to content

Cancel Payment Intent

POST
/v2/send/payment-intents/{paymentIntentId}/cancel

Cancel a pending payment intent

paymentIntentId
required
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09

Payment Intent ID

object
userId
required

External user ID from the BFF

string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09

The resource has been successfully updated.

object
id
required

Payment Intent ID

string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09
quoteId
required

Quote ID

string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09
organisationId
required

Organisation ID

string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09
userId
required

User ID

string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09
pin
required

The pin for the payment intent

string
status
required

Payment Intent Status

string
Allowed values: pending networkinprogress networkfailed networkcompleted payoutinprogress payoutfailed payoutcompleted completed failed refunded
pending
walletAddress
required

Wallet address

string
recipientId
required

Recipient ID

string format: uuid
typedData

Typed data

string
transactionHash

Transaction hash

string
0x1234567890abcdef...
completedAt

Execution timestamp

string format: date-time
2023-12-01T10:00:00Z
createdAt

Creation timestamp

string format: date-time
2023-12-01T10:00:00Z
txData

Transaction data for depositWithAuthAndPermit with placeholder permit signature

object
permitParams

Permit parameters for frontend to sign

object

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error